Migrating from Requirement Yogi 2.x?

If you are migrating from Requirement Yogi 2.x, the migration tasks will execute. It is generally fast and seamless, but some customers can experience errors, see Migration to RY 3.0: FAQ for all the details.

Important

This page contains important information for administrators and local administrators.

Jira cache

This is a great feature!

The traceability matrix is now cached, so it only takes milliseconds to retrieve the fields of Jira issues!

Users will benefit from a checkbox titled "Jira cache" on their traceability matrix:

This feature satisfies a tremendous number of upvotes and requests about the performance.

Major change: Choose the visibility of requirements in Jira

IMPORTANT FOR USERS

This change affects the way the history is saved in Jira. It is better to make a decision right now on whether your systems should use "public" or "confidential" descriptions.

From Confluence, it is possible to:

  • Make requirements descriptions visible to anyone in Jira (so everyone on a Jira issue views the same text),
  • Make descriptions confidential and dynamically-loaded with the permissions of the current Jira user.

Confluence will automatically default to the second mode, starting in RY 3.2.0. It impacts the notifications and the history in Jira issues (If requirements are non-public, then their body doesn't appear in the history). If you switch this setting later on, then descriptions will only be uploaded in Jira the next time someone uses this requirement on an issue.

To benefit from this feature, RY 3.2.0 must be installed on both sides.

External properties improvements

  • We're introducing a new type of external property: Drop-downs! It can be used as a requirement status, or a test result...
  • External properties can now be used in the Bulk Issue Creation (please type {ext@the_name}),
  • It is possible to create external properties from the Estimate itself, making it much more accessible.

LTS - Long Term Support

The version 3.2.x is intended to provide a fallback option for customers who will stay on Confluence 7.4.x, for which Atlassian has dropped support (7.13.x is required).

Version 3.3.0 will require Confluence 7.13 and above.

Version 2.5.19 is required in Confluence and Jira

IMPORTANT FOR ADMINISTRATORS

Starting with RY 3.2.0, the version 2.5.19 is the minimum required on the other end. Examples:

  • (tick) Compatible: Version 3.2.0 and 2.5.19 in Confluence and Jira.
  • (error) Not compatible: Version 2.5.11 and 3.2.0.
  • (tick) Compatible: Version 2.5.11 and 3.1.1.

Version 2.5.19 is supported for Confluence 6.13 and Jira 7.13, both are 4 years old and have been EOL for a year and a half.

Dropping 1 REST resource

We are dropping the /createRIL REST resource. It shouldn't have been used by the public anyway, but real customers use all features of our products!

https://docs.requirementyogi.com/restapis/restapis-com.playsql.requirementyogi-3.1.0/

Feature removals in RY 3.1

IMPORTANT FOR USERS

Please consult the adjacent release notes related to feature removals: Release 3.1 – Minor removals (Guide)

  • Baselines: IMPORTANT Users can't add dependencies automatically anymore. This decision was made because the feature was working unreliably for large datasets.
  • Baselines: The prediction of the size of a baseline is approximate. This change was made because it made it is difficult to calculate the size of intersecting sets without loading them in memory.
  • Baselines: Dropped the synchronization of the page titles,
  • The "page ~ ..." search criteria was modified.

See Release 3.1 – Minor removals (Guide) for details.

List of issues

See https://requirementyogi.atlassian.net/issues/?jql=project%20%3D%20%22RY%22%20AND%20fixVersion%20%3D%20%223.2.0-LTS%22

Key Summary T Fix Version/s
Loading...
Refresh




  • No labels